We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

Angular 100% Stacked Bar Chart displays multiple series of data as stacked bars, ensuring that the cumulative proportion of each stacked element always totals 100%. Hence, the y-axis will always be rendered with the range 0–100.


Multi series

Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Stacking group

Allows grouping a series with another series separately using a different group name.


Spacing and width

The Angular 100% Stacked Bar Chart provides an option to customize the spacing between two bars and width of the bar.


Rounded corners

Modernize the UI by applying rounded corners to the 100% stacked bar


100% Cylindrical stacked bar

Modernize the UI by displaying value as cylindrical-shaped data points.


Customization

Customize the look and feel of the 100% stacked bar chart using built-in APIs.


Code snippet

Easily get started with Angular 100% Stacked Bar Chart using a few simple lines of HTML and TS code example as demonstrated below. Also explore our Angular 100% Stacked Bar Chart Example that shows you how to render and configure the chart.

<ejs-chart style='display:block' id='chartcontainer'  [primaryXAxis]='primaryXAxis'>
<e-series-collection>
    <e-series [dataSource]='data' type='StackingBar100' xName='x' yName='y'> </e-series>  
    <e-series [dataSource]='data1' type='StackingBar100' xName='x' yName='y'> </e-series>     
</e-series-collection>
</ejs-chart>
// app.component.ts

import { Component } from '@angular/core';
export class AppComponent {
  public data: Object[] = [
    { x: '2014', y: 111.1 },
    { x: '2015', y: 127.3 },
    { x: '2016', y: 143.4 },
    { x: '2017', y: 159.9 }];
  public data1: Object[] = [
    { x: '2014', y: 76.9 },
    { x: '2015', y: 99.5 },
    { x: '2016', y: 121.7 },
    { x: '2017', y: 142.5 }];
 
//Initializing Primary X Axis
public primaryXAxis: Object = {
    valueType: 'Category',
     
};
}
// app.module.ts
import { ChartModule } from '@syncfusion/ej2-ng-charts';
import { StackingBarSeriesService, CategoryService} from '@syncfusion/ej2-ng-charts';
import { AppComponent } from './app.component';

@NgModule({
  declarations: [
    AppComponent
  ],
  imports: [
    BrowserModule, ChartModule
  ],
  providers: [ StackingBarSeriesService, CategoryService],
  bootstrap: [AppComponent]
})
export class AppModule { }

Learning Resources

UG

100% Stacked Bar Chart User Guide

Learn the available options to customize Angular 100% Stacked Bar Chart.

API

100% Stacked Bar Chart API Reference

Explore the Angular 100% Stacked Bar Chart APIs.


90+ ANGULAR UI COMPONENTS

Scroll up icon

We use cookies to give you the best experience on our website. If you continue to browse, then you agree to our privacy policy and cookie policy. Image for the cookie policy date
Syncfusion Feedback


Overview

React 100% Stacked Bar Chart displays multiple series of data as stacked bars, ensuring that the cumulative proportion of each stacked element always totals 100%. Hence, the y-axis will always be rendered with the range 0–100.


Multi series

Allows you to plot multiple series in a single chart to compare different data sets. Enabling legend and tooltip gives more information about the individual series.


Marker

Marks data points with built-in shapes such as circles, rectangles, ellipses, vertical lines, horizontal lines, diamonds, triangles, pentagons, crosses, and pluses. In addition to these shapes, use images to make the point more attractive.


Data label

Data labels display information about data points. Add a template to display data labels with HTML elements such as images, DIV, and spans for more informative data labels. You can rotate a data label by its given angle.


Multiple axes

Use multiple axes to plot different data sets that widely vary from one other.


Stacking group

Allows grouping a series with another series separately using a different group name.


Spacing and width

The 100% Stacked bar chart provides an option to customize the spacing between two bars and width of the bar.


Rounded corners

Modernize the UI by applying rounded corners to the 100% stacked bar


100% Cylindrical stacked bar

Modernize the UI by displaying value as cylindrical-shaped data points.


Customization

Customize the look and feel of the 100% stacked bar chart using built-in APIs.


Code snippet

Easily get started with React 100% stacked bar chart using a few simple lines of HTML and JS code example as demonstrated below. Also explore our React 100% Stacked Bar Chart Example that shows you how to render and configure the chart.

import { AxisModel, Category, ChartComponent, Inject, SeriesCollectionDirective, SeriesDirective, StackingBarSeries} from'@syncfusion/ej2-react-charts';
import * as React from 'react';
class App extends React.Component<{}, {}> {
  public primaryXAxis: AxisModel = { valueType: 'Category'};
  public data1 : any[]=  [
    { x: '2014', y: 111.1 },
    { x: '2015', y: 127.3 },
    { x: '2016', y: 143.4 },
    { x: '2017', y: 159.9 }];
  public data2 : any[]= [
    { x: '2014', y: 76.9 },
    { x: '2015', y: 99.5 },
    { x: '2016', y: 121.7 },
    { x: '2017', y: 142.5 }];

  public render() {
    return <ChartComponent id='charts' primaryXAxis={this.primaryXAxis}>
      <Inject services={[StackingBarSeries, Category]} />
      <SeriesCollectionDirective>
      <SeriesDirective dataSource={this.data1} xName='x' yName='y' type='StackingBar100'/>
      <SeriesDirective dataSource={this.data2} xName='x' yName='y' type='StackingBar100'/>
      </SeriesCollectionDirective>
    </ChartComponent>
  }
};
ReactDOM.render(
  <App />,
  document.getElementById('charts') as HTMLElement
);
<!DOCTYPE html>
<html>

<body> 
     <div id="charts"></div>
</body>

</html>

Learning Resources

UG

100% Stacked Bar Chart User Guide

Learn the available options to customize React 100% stacked bar chart.

API

100% Stacked Bar Chart API Reference

Explore the React 100% stacked bar chart APIs.


90+ REACT UI COMPONENTS

Scroll up icon